Package org.pgpainless.signature.subpackets

# Interface SignatureSubpacketCallback<S extends BaseSignatureSubpackets>

All Known Subinterfaces:
  `BaseSignatureSubpackets.Callback`, `CertificationSubpackets.Callback`, `RevocationSignatureSubpackets.Callback`, `SelfSignatureSubpackets.Callback`, `SignatureSubpackets.Callback`

public interface SignatureSubpacketCallback<S extends BaseSignatureSubpackets>

## Method Summary

Modifier and Type
Method
Description
`default void`
`modifyHashedSubpackets(S hashedSubpackets)`
Callback method that can be used to modify the hashed subpackets of a signature.
`default void`
`modifyUnhashedSubpackets(S unhashedSubpackets)`
Callback method that can be used to modify the unhashed subpackets of a signature.

## Method Details

### modifyHashedSubpackets

default void modifyHashedSubpackets(S hashedSubpackets)
Callback method that can be used to modify the hashed subpackets of a signature.

Parameters:
  `hashedSubpackets` - hashed subpackets

### modifyUnhashedSubpackets

default void modifyUnhashedSubpackets(S unhashedSubpackets)
Callback method that can be used to modify the unhashed subpackets of a signature.

Parameters:
  `unhashedSubpackets` - unhashed subpackets